/*
 * ngx_http_oceanbase_output.h
 *
 * Copyright (C) 2019 Ant Financial (Hang Zhou) Network Technology Co., Ltd.
 *
 */ 

#ifndef NGX_HTTP_OCEANBASE_OUTPUT_H
#define NGX_HTTP_OCEANBASE_OUTPUT_H
#include "ngx_http_oceanbase_upstream.h"

ngx_int_t ngx_http_oceanbase_output_bufs(ngx_http_request_t *r,
        ngx_http_upstream_oceanbase_peer_data_t *obp);
u_char *ngx_http_oceanbase_request_mem(ngx_http_request_t *r,
    ngx_http_upstream_oceanbase_peer_data_t *obp, size_t len);
ngx_int_t ngx_http_oceanbase_submit_mem(ngx_http_request_t *r,
    ngx_http_upstream_oceanbase_peer_data_t *obp, size_t len);

#endif /* NGX_HTTP_OCEANBASE_OUTPUT_H */

