/*
 * ngx_http_oceanbase_processor.h
 *
 * Copyright (C) 2019 Ant Financial (Hang Zhou) Network Technology Co., Ltd.
 *
 */ 

#ifndef NGX_HTTP_OCEANBASE_PROCESSOR_H
#define NGX_HTTP_OCEANBASE_PROCESSOR_H

#include "ngx_http_oceanbase_module.h"
#include "ngx_http_oceanbase_upstream.h"
#include <ngx_http.h>
#include <ngx_core.h>

ngx_int_t ngx_http_oceanbase_process_events(ngx_http_request_t *r);

void ngx_http_upstream_oceanbase_done(ngx_http_request_t *r,
        ngx_http_upstream_t *u, ngx_http_upstream_oceanbase_peer_data_t *dp,
        ngx_int_t rc);

int ngx_http_txn_type(ngx_http_request_t *r, TXN_TYPE *txn_type);

#endif /* NGX_HTTP_OCEANBASE_PROCESSOR_H */

